##
## interfaces.py
from zope.interface import Interface
from zope import schema

class IUniversity(Interface):
    """Representation of a university.
    """
    name = schema.TextLine(
        title = u'Name of University',
        default = u'Unnamed',
        required = True,
        )

class IFaculty(Interface):
    """Representation of a university faculty.
    """
    name = schema.TextLine(
        title = u'Name of Faculty',
        default = u'Unnamed',
        required = True,
        )

class IStudent(Interface):
    """Representation of a student.
    """
    name = schema.TextLine(
        title = u'Name of student',
        default = u'Nobody',
        required = True,
        )

